Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.common.exceptions
Class ToolsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.portal.tools.common.exceptions.ToolsException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  NoWebAppFoundException

    public class ToolsException

extends Exception

See Also
  Serialized Form

Constructor Summary
`ToolsException()`
`ToolsException(String message)`
`ToolsException(String message, Throwable cause)`
`ToolsException(Throwable cause)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream printStream)`
`void` | `printStackTrace(PrintWriter printWriter)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolsException

    public ToolsException()

### ToolsException

    public ToolsException(String message)

Parameters
  `message` - String representing the Exception message

### ToolsException

    public ToolsException(String message,
                          Throwable cause)

Parameters
  `message` - String representing the exception message
  `cause` - Throwable object representing the caused exception

### ToolsException

    public ToolsException(Throwable cause)

Parameters
  `cause` - Throwable object representing the causing exception

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream printStream)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter printWriter)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved